{% extends 'base.html' %}
{% load static %}
{% block content %}

    {% block page_heading %}
    {% endblock %}
         <div class="container-fluid mt-2 p-3">
            <div class="row">

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-primary shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Продажи за сегодня</div>
                        <div class="spinner-border text-primary" id="loading_today" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800" id="sale_today_price"></div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-calendar fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Продажи за вчера</div>
                        <div class="spinner-border text-primary" id="loading_yesterday" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800" id="sale_yesterday_price"></div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>

                <!-- Earnings (Monthly) Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-danger shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Продажи за месяц</div>
                        <div class="spinner-border text-primary" id="loading_month" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800" id="sale_month_price"></div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>



            <!-- Pending Requests Card Example -->
            <div class="col-xl-3 col-md-6 mb-4">
              <div class="card border-left-warning shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Количество новых клиентов за сегодня</div>
                        <div class="spinner-border text-primary" id="loading_client" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                      <div class="h5 mb-0 font-weight-bold text-gray-800" id="new_client_today"></div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-comments fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>


     </div>
    {{ block.super }}
{% endblock %}

{% block custom_includes %}
    {{ block.super }}
    <script src="{% static 'chart_js/Chart.min.js' %}"></script>
    <script src="{% static 'custom/js/dashboard/pie-chart.js' %}"></script>
    <script src="{% static 'custom/js/dashboard/getSaleToday.js' %}"></script>
    <script src="{% static 'custom/js/dashboard/getSaleYesterday.js' %}"></script>
    <script src="{% static 'custom/js/dashboard/getSaleMonth.js' %}"></script>
    <script src="{% static 'custom/js/dashboard/newClientToday.js' %}"></script>
{% endblock %}
